Bug 123283 - [maintainer update] update sysutils/vobcopy
Summary: [maintainer update] update sysutils/vobcopy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-01 05:30 UTC by Josh Paetzel <josh@tcbug.org>
Modified: 2008-05-05 18:00 UTC (History)
0 users

See Also:


Attachments
file.diff (529 bytes, patch)
2008-05-01 05:30 UTC, Josh Paetzel <josh@tcbug.org>
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Paetzel <josh@tcbug.org> 2008-05-01 05:30:00 UTC
Upgrade sysutils/vobcopy to version 1.1.1

Fix: PORTNAME=      vobcopy
-PORTVERSION=   1.0.2
+PORTVERSION=   1.1.1
 CATEGORIES=    sysutils
 MASTER_SITES=  http://lpn.rnbhq.org/download/

@@ -25,7 +25,7 @@
 MAN1=  vobcopy.1

 PLIST_FILES=   bin/vobcopy
-PORTDOCS=      COPYING Changelog README Release-Notes TODO \
+PORTDOCS=      Changelog FAQ README THANKS TODO \
                alternative_programs.txt

 .include <bsd.port.pre.mk>



Rather than send a diff of a diff, please replace files/patch-vobcopy.h with the following file:

-- vobcopy.h.orig       2008-04-13 14:01:03.000000000 +0000
+++ vobcopy.h   2008-04-13 14:08:18.000000000 +0000
@@ -58,7 +58,7 @@
 /* //////////  *BSD //////////  */
 #if ( defined( BSD ) && ( BSD >= 199306 ) )

-#  if  !defined( __NetBSD__ ) ) || \
+#  if  ! ( defined( __NetBSD__ ) ) || \
        ( defined( __NetBSD__) && ( __NetBSD_Version__ < 200040000 ) )
 #include <sys/mount.h>
 #define USE_STATFS 1
@@ -87,12 +87,13 @@
 #define GETMNTINFO_USES_STATVFS

 #    endif
+#  endif

-#  else
-
+#if defined(__FreeBSD__)
+#include <sys/statvfs.h>
+#else
 #include <sys/vfs.h>
-
-#  endif
+#endif

 #define HAS_LARGEFILE 1--hjaXko31fppGb4DV0mBttFlCyO3iHLsN5SkPU6K5kzdPfAUn
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.old        2008-04-30 23:12:14.000000000 -0500
+++ Makefile    2008-04-30 23:13:45.000000000 -0500
@@ -6,7 +6,7 @@
 #
How-To-Repeat: N/A
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-05-01 10:11:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-05-04 20:39:33 UTC
State Changed
From-To: open->feedback

Please send me a diff for this update, the one in the PR doesn't apply 
cleanly. Thanks.
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-05-05 17:43:59 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 4 dfilter service freebsd_committer 2008-05-05 17:55:21 UTC
itetcu      2008-05-05 16:55:12 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/vobcopy     Makefile distinfo 
    sysutils/vobcopy/files patch-vobcopy.h 
  Log:
  Update to 1.1.1
  
  PR:             ports/123283
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.27      +2 -2      ports/sysutils/vobcopy/Makefile
  1.16      +3 -3      ports/sysutils/vobcopy/distinfo
  1.4       +22 -57    ports/sysutils/vobcopy/files/patch-vobcopy.h
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2008-05-05 17:55:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!